Package org.eclipse.emf.compare.ide.utils

# Interface IStoragePathProvider

All Known Subinterfaces:
  `IStoragePathProvider2`

public interface IStoragePathProvider
Some implementations of IStorage provide a plain erroneous `path`.

Implementers can provide an adapter from a given IStorage implementation to a sub-class of this interface to provide EMF Compare with a mean to compute the correct path.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.IPath`
`computeFixedPath(org.eclipse.core.resources.IStorage storage)`
Allows EMF compare to query for the real path of the given IStorage.

## Method Details

### computeFixedPath

org.eclipse.core.runtime.IPath computeFixedPath(org.eclipse.core.resources.IStorage storage)
Allows EMF compare to query for the real path of the given IStorage.

The returned path must be workspace-relative and may not be `null`. The resource pointed to by this path is not required to exist locally.

Parameters:
  `storage` - The storage for which we seek a useable path.
Returns:
  The fixed path for this IStorage. Cannot be `null`.